#!/usr/bin/env python

import os

from setuptools import setup, find_packages
from distutils.sysconfig import get_python_lib

pkgs_path = get_python_lib()
app_name = 'fpaste_server'

setup(name=app_name,
    version='0.1',
    description='Fedora Pastebin',
    author='Jonathan Steffan, Clint Savage',
    author_email='jonathansteffan@gmail.com, herlo@fedoraproject.org',
    url='https://fedorahosted.org/fpaste-server/',
    packages=['fpaste_server', 'fpaste_server/templatetags'],
    zip_safe=False,
    package_data={'fpaste_server': ['conf/*', 'templates/fpaste_server/*', 'static/images/*', 'static/css/*']},
)

#link_path = '''%s/%s/templates/dpaste''' % (pkgs_path, app_name)
#src_path = '%s/%s/templates/fpaste_server' % (pkgs_path, app_name)
#
#try:
#    os.unlink(link_path)
#except OSError:
#    pass
#
#os.symlink(src_path, link_path)
